package Test1 is

   type Coord_Type;
   type Coord_Ptr is access all Coord_Type;
   type Coord_CPtr is access constant Coord_Type;
   subtype COORD is Coord_Type;
   subtype PCOORD is Coord_Ptr;
   subtype PCCOORD is Coord_CPtr;
   type Coord_Type is record
      X : Integer;
      Y : Integer;
   end record;

end Test1;
